%global rosdistro fuerte
%global stackname std_msgs
%global gitrev ef63d31
Name:           ros-%{rosdistro}-std-msgs
Version:        0.4.8
Release:        1.git%{gitrev}%{?dist}
Summary:        Collection of CMake macros for ROS

License:        BSD
URL:            http://www.ros.org/wiki/std_msgs
#wget --content-disposition https://github.com/wg-debs/std_msgs-release/tarball/upstream/0.4.8
Source0:        wg-debs-%{stackname}-release-upstream-%{version}-0-g%{gitrev}.tar.gz
BuildArch:      noarch
Provides:       ros-%{stackname} = %{version}-%{release}
Provides:       ros-std-msgs = %{version}-%{release}

BuildRequires:  cmake
BuildRequires:  python-setuptools-devel
BuildRequires:  ros-%{rosdistro}-catkin
BuildRequires:  ros-%{rosdistro}-genmsg
BuildRequires:  ros-%{rosdistro}-gencpp
BuildRequires:  ros-%{rosdistro}-genlisp
BuildRequires:  ros-%{rosdistro}-genpy

%description
%{name} decouples code generation from ROS msg & srv files from the 
parsing of these files and from impementation details of the build 
system

%prep
%setup -q -n wg-debs-%{stackname}-release-511ac45

%build
mkdir build
pushd build
%cmake \
  -DSETUPTOOLS_DEB_LAYOUT=OFF \
  -DCATKIN_BUILD_BINARY_PACKAGE="1" \
  ..
popd

%install
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pkgconfig
mv $RPM_BUILD_ROOT%{_usr}/lib/pkgconfig/%{stackname}.pc $RPM_BUILD_ROOT/%{_datadir}/pkgconfig

%files
#%doc
%{_includedir}/%{stackname}
%{_datadir}/%{stackname}
%{_datadir}/pkgconfig/*.pc
%{python_sitelib}/%{stackname}
%{_datadir}/common-lisp/ros/%{stackname}
#%{python_sitelib}/*egg-info


%changelog
* Tue Sep 04 2012 Rich Mattes <richmattes@gmail.com> - 0.4.8-1.gitef63d31
- Initial package
